Subject: bug#30750: closed (Re: bug#30750: 25.3; New Python3.6 f-string syntax highlighting support (feature request))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Oct 2020 18:10:01 +0000

Your bug report

#30750: 25.3; New Python3.6 f-string syntax highlighting support (feature request)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30750: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30750
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30750: 25.3; New Python3.6 f-string syntax highlighting support (feature request)
From: Stefan Monnier <[email-masked]>
To: Campbell Barton <[email-masked]>
Cc: Valentin Ignatev <[email-masked]>, Stefan Kangas <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 16 Oct 2020 14:09:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> It would be nice if python-mode would not syntax highlight the code in
> the f-string as a string, and instead use regular syntax highlighting.

I just pushed a change to the `master` branch of Emacs which should
do that.

        Stefan

Subject: 25.3; New Python3.6 f-string syntax highlighting support (feature request)
From: Campbell Barton <[email-masked]>
To: [email-masked]
Date: Thu, 8 Mar 2018 23:09:36 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

In python 3.6, code can be evaluated in a string, called an f-string,
see: https://www.python.org/dev/peps/pep-0498/

It would be nice if python-mode would not syntax highlight the code in
the f-string as a string, and instead use regular syntax highlighting.

eg:

    print(f'Test {} me!'.format(2 + 2))

can be written as:

    print(f'Test {2 + 2} me!')

I noticed php-mode (which had something like this for many years)
does for for PHP's strings, eg: "Test {$2 + 2} me!"

----

It was recommended I send in a feature request:
see: https://emacs.stackexchange.com/questions/39283

Thanks